#include<bits/stdc++.h>
#include<string>
using namespace std;
int main(){
	string a,b,c,u1,u2,u3,u4,u5,u6,umax="0";
	char ac[20],bc[20],cc[20];
	cin>>ac>>bc>>cc;
	a=ac;
	b=bc;
	c=cc;
	//pravljenje svih kombinacija i provera najvece
	u1=a;
	u1+=b;
	u1+=c;
	if(u1>umax) umax=u1;
	u2=a;
	u2+=c;
	u2+=b;
	if(u2>umax) umax=u2;
	u3=b;
	u3+=a;
	u3+=c;
	if(u3>umax) umax=u3;
	u4=b;
	u4+=c;
	u4+=a;
	if(u4>umax) umax=u4;
	u5=c;
	u5+=a;
	u5+=b;
	if(u5>umax) umax=u5;
	u6=c;
	u6+=b;
	u6+=a;
	if(u6>umax) umax=u6;
	//cout<<u1<<endl<<u2<<endl<<u3<<endl<<u4<<endl<<u5<<endl<<u6<<endl;
	cout<<umax;
}